Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-69786

qtopcua 5.11 uses deprecated APIs meanwhile removed from open62541 (backport)

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P2: Important
    • Resolution: Won't Do
    • Affects Version/s: 5.11.0
    • Fix Version/s: None
    • Component/s: OpcUA
    • Labels:
      None
    • Platform/s:
      Linux/X11

      Description

      Attached is a small patch replacing deprecated&removed APIs from qtopcua code https://github.com/qt/qtopcua/ in the 5.11 branch.

      The dev branch of qtopcua did remove them as well independently (thus no need to patch the dev branch), but uses newer Qt thus cannot compile with older 5.x.

      This is a second submission of the changes https://github.com/qt/qtopcua/pull/1 to comply with contribution guidelines (https://wiki.qt.io/Qt_Contribution_Guidelines#A_Shortcut_...).

       

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            • Assignee:
              fmeerkoetter Frank Meerkötter
              Reporter:
              eudoxos eudoxos
            • Votes:
              0 Vote for this issue
              Watchers:
              6 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Gerrit Reviews

                There are no open Gerrit changes